<?php
require_once __DIR__ . '/../database.php';


class DetalleContrato
{
    function __construct() {}

    public static function getAll()
    {

        $query = "SELECT * FROM detalle_contrato DC WHERE DC.nContrato_Id IN (SELECT Contrato_Id FROM contrato WHERE dConFechaTermino >= CURDATE() AND nConEliminado = 0 ORDER BY dConFecha DESC)";

        try {

            $cmd = Database::getInstance()->getDb()->prepare($query);

            $cmd->execute();

            $data = $cmd->fetchAll(PDO::FETCH_ASSOC);

            return $data;
        } catch (PDOException $e) {

            return false;
        }
    }

    public static function getTimestampOfLatestChange()
    {
        $query = "SELECT timestamp FROM audit WHERE sNombreTabla = 'detalle_contrato' ORDER BY timestamp DESC LIMIT 1";

        try {

            $cmd = Database::getInstance()->getDb()->prepare($query);

            $cmd->execute();

            $data = $cmd->fetchAll(PDO::FETCH_ASSOC);

            return $data;
        } catch (PDOException $e) {

            return false;
        }
    }
}
