<?php
require_once __DIR__ . '/../database.php';


class Equipo
{
    function __construct() {}

    public static function getAll()
    {
        $query = "SELECT * FROM equipos WHERE nEqEstado=1";

        try {

            $cmd = Database::getInstance()->getDb()->prepare($query);

            $cmd->execute();

            $data = $cmd->fetchAll(PDO::FETCH_ASSOC);

            return $data;
        } catch (PDOException $e) {

            return false;
        }
    }

    public static function getTimestampOfLatestChange()
    {
        $query = "SELECT timestamp FROM audit WHERE sNombreTabla = 'equipos' ORDER BY timestamp DESC LIMIT 1";

        try {

            $cmd = Database::getInstance()->getDb()->prepare($query);

            $cmd->execute();

            $data = $cmd->fetchAll(PDO::FETCH_ASSOC);

            return $data;
        } catch (PDOException $e) {

            return false;
        }
    }
}
