<?php include('functions.php');

if ($_SERVER['REQUEST_METHOD'] == 'POST') {

	$nManEquipo_Id = $_POST['nManEquipo_Id'];
	$nManTecnico_Id = $_POST['nManTecnico_Id'];
	$sManOdometroAnterior = $_POST['sManOdometroAnterior'];
	$sManMantAnterior = $_POST['sManMantAnterior'];
	$sManOdometroActual = $_POST['sManOdometroActual'];
	$sManMantActual = $_POST['sManMantActual'];
	$sManFirmaTecnico = $_POST['sManFirmaTecnico'];
	$sManFirmaCliente = $_POST['sManFirmaCliente'];
	$dManFecha_Act = date("Y-m-d H:i:s", strtotime($_POST['dManFecha_Act']));
	$nManUsuario_Id = $_POST['nManUsuario_Id'];
	$nManEstado = $_POST['nManEstado'];
	$nManEliminado = $_POST['nManEliminado'];
	$nManKwh = isset($_POST['nManKwh']) ? $_POST['nManKwh'] : 0.00;
	$nManPlantilla_Id = $_POST['nManPlantilla_Id'];
	$sManDniCli = $_POST['sManDniCli'];
	$sManNombreCli = $_POST['sManNombreCli'];
	$id_tablet = $_POST['Mantenimiento_Id'];
	
	$nManTipoServicio = $_POST['nManTipoServicio'];
	$dManFechaHoraEvento = date("Y-m-d H:i:s", strtotime($_POST['dManFechaHoraEvento']));
	$dManFechaHoraConformidad = date("Y-m-d H:i:s", strtotime($_POST['dManFechaHoraConformidad']));
	
// 23/08/2024 -- obtener Contrato_Id
    $aux_equipo = getSQLResultSet("SELECT * FROM equipos WHERE Equipo_Id='$nManEquipo_Id'");
    $equipo_data = null;
    $nro = null;
    
    if ($aux_equipo->num_rows > 0) {
        $equipo_data = $aux_equipo->fetch_assoc();
        $nro = $equipo_data["sEqActivoFijo"];
    }
    
    $aux_contrato = getSQLResultSet("SELECT c.Contrato_Id, dc.sDetConSucursal, dc.sDetConUbicacion, cl.sCliNombre
                                        FROM contrato c
                                		INNER JOIN cliente cl
                                		ON cl.Cliente_Id = c.nConCliente_Id
                                		INNER JOIN detalle_contrato dc
                                		ON c.Contrato_Id = dc.nContrato_Id
                                		WHERE  dc.sDetConCodigo = '$nro' AND dc.nDetConEstado=1 AND c.nConEstado=1");
                                		
    $id_contrato = 0;                          		
    if ($aux_contrato->num_rows > 0) {
        $contrato_data = $aux_contrato->fetch_assoc();
        $id_contrato = (int)$contrato_data['Contrato_Id'];
    }
//

	/**
	 *  1. Verificar si existe el mantenimiento
	 *  2. Si existe, actualizar. De lo contrario, insertar
	 */

	if ($resultset = getSQLResultSet("SELECT Mantenimiento_Id FROM mantenimiento WHERE id_tablet='$id_tablet'")) {

        if ($resultset->num_rows > 0) {
				
            	ejecutarSQLCommand("UPDATE mantenimiento SET nManEquipo_Id = $nManEquipo_Id,
													   nManTecnico_Id = $nManTecnico_Id,
													   sManOdometroAnterior = '$sManOdometroAnterior',
													   sManMantAnterior = '$sManMantAnterior',
													   sManOdometroActual = '$sManOdometroActual',
													   sManMantActual = '$sManMantActual',
													   sManFirmaTecnico = '$sManFirmaTecnico',
													   sManFirmaCliente = '$sManFirmaCliente',
													   dManFecha_Act = '$dManFecha_Act',
													   nManUsuario_Id = $nManUsuario_Id,
													   nManEstado = $nManEstado,
													   nManEliminado = $nManEliminado,
													   nManKwh = $nManKwh,
													   nManPlantilla_Id = $nManPlantilla_Id,
													   sManDniCli = '$sManDniCli',	
													   sManNombreCli = '$sManNombreCli',
													   nManTipoServicio = '$nManTipoServicio',
													   dManFechaHoraEvento = '$dManFechaHoraEvento',
													   dManFechaHoraConformidad = '$dManFechaHoraConformidad',
													   nManContrato_Id = '$id_contrato'
													WHERE id_tablet='$id_tablet'", "Mantenimiento Actualizado");

				if ($nManTipoServicio != 3) {

					ejecutarSQLCommand("UPDATE mantenimiento SET dManFechaHoraEvento = NULL, dManFechaHoraConformidad = NULL WHERE id_tablet='$id_tablet'", "");
				}
        } else {
                        ejecutarSQLCommand("INSERT INTO mantenimiento(nManEquipo_Id,nManTecnico_Id,sManOdometroAnterior,
            sManMantAnterior,sManOdometroActual,sManMantActual,sManFirmaTecnico,sManFirmaCliente,dManFecha_Act,
            nManUsuario_Id,nManEstado,nManEliminado,nManKwh, nManPlantilla_Id,sManDniCli,sManNombreCli,id_tablet, nManTipoServicio, dManFechaHoraEvento, dManFechaHoraConformidad, nManContrato_Id) 
             VALUES($nManEquipo_Id,$nManTecnico_Id,'$sManOdometroAnterior','$sManMantAnterior','$sManOdometroActual',
             '$sManMantActual','$sManFirmaTecnico','$sManFirmaCliente','$dManFecha_Act',
              $nManUsuario_Id,$nManEstado,$nManEliminado,$nManKwh, $nManPlantilla_Id,'$sManDniCli','$sManNombreCli','$id_tablet', '$nManTipoServicio', '$dManFechaHoraEvento', '$dManFechaHoraConformidad', '$id_contrato')", "Mantenimiento Guardado");
        }
    }
} else {

	echo "405 Metodo no permitido, solo se permite peticiones POST";
}