<?php

class ResponseHelper
{
    public static function sendResponse($statusCode, array $response, array $headers = [])
    {
        http_response_code($statusCode);
        
        foreach ($headers as $key => $value) {
            header("$key: $value");
        }
        
        echo json_encode($response, JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT);
        exit();
    }
}

